baseurl = "https://mehl.mx/"
languageCode = "en-GB"
title = "Max Mehl"
theme = [ "hugo-sustain", "hugo-cloak-email", "hugo-mastodon-comments" ]

[blackfriday]
# preserves linebreaks, and transforms to <br />
extensions = [ "hardLineBreak" ]

[permalinks]
  blog = "/blog/:year/:slug"

[params]
  avatar = "profile.jpg"
  author = "Max Mehl"
  description = "Professional Free and Open Source Software advocate, political scientist, loves to explore new challenges"
  keywords = "manager, free software, open source, project, campaign, konstanz, berlin, munster, communication, IT service, computer, politics, administration, FSFE, scouts, founder"

  # Custom assets can be linked with their paths relative to static/
  custom_css = ['css/custom.css', 'comments/mastodon-comments.css']
  custom_js  = ['comments/getcomments.js']

[params.blog]
  headline = "Thoughts about tech, politics, and more"

[params.social]
  Github        = "mxmehl"
  Git           = "https://src.mehl.mx/mxmehl"
  Email         = ""
  Twitter       = "mxmehl"
  LinkedIn      = "mxmehl"
  Stackoverflow = ""
  Mastodon      = "mastodon.social/@mxmehl"
  Diaspora      = "diasp.eu/u/mxmehl"

## Main Menu
[[menu.main]]
  name = "start"
  weight = 100
  identifier = "start"
  url = "/"
[[menu.main]]
  name = "links"
  identifier = "links"
  weight = 300
  url = "/links/"
[[menu.main]]
  name = "contact"
  identifier = "contact"
  weight = 400
  url = "/contact/"
